/*
 * Laser Pointer Switch
 *
 * A switch that slides onto your laser pointer and  
 * then rotates into place to hold the button down.
 *
 * Pete Prodoehl <pete@rasterweb.net>
 * http://rasterweb.net/raster/
 *
 */


laserswitch();


module laserswitch () {

	difference() {

        union () {

            // outer ring
            cylinder(d=25, h=12, center=true, $fn=200);
        
            // handle
            translate([10,2.8,-6]) {
                cube([6,4,12]);
            }
                   
        }
    
        // inside hole
        translate([0,0,0]) {
			cylinder(d=14.60, h=13, center=true, $fn=200);
		}

        // inside groove
		translate([1,0,0]) {
        		cylinder(d=16.5, h=6.75, center=true, $fn=200);
        }

        // slot
		translate([4,-4,-7])
			cube([12,6.8,15]);
        
	}

}

